- [HTTP request](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch#body.request_body)
- [Response body](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch#body.aspect)
- [Try it!](https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups/patch#try-it)

Updates a user group in the specified GMP organization.

### HTTP request

`PATCH https://marketingplatformadmin.googleapis.com/v1alpha/{userGroup.name=organizations/*/userGroups/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userGroup.name` | `string` Identifier. Resource name of this UserGroup. Format: organizations/{org_id}/userGroups/{user_group_id} Example: "organizations/123abc/userGroups/456def" |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The list of fields to update. Field names must be in snake case (for example, "field_to_update"). Omitted fields will not be updated. To replace the entire entity, use one path with the string "\*" to match all fields. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups#UserGroup`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/marketing-platform/devguides/api/admin/v1/rest/v1alpha/organizations.userGroups#UserGroup`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/marketingplatformadmin.analytics.update`